package im.zego.live.callback;

import java.util.List;

import im.zego.live.model.ZegoUserInfo;

/**
 * 获取用户列表回调
 * <p>
 * 描述: 当获取用户列表完成之后这个回调会被触发。
 */
public interface ZegoOnlineRoomUserListCallback {

    /**
     * @param errorCode 操作状态码。
     *                  <h4>0: 操作成功</h4>
     *                  <h4>600xxxx: ZIM SDK error code. 更多细节参考错误码<a href="https://doc-zh.zego.im/article/11606">文档</a>. </h4>
     *                  <p>
     * @param userList  房间中用户列表。
     * @param nextFlag  用于查询下一页用户列表的 flag
     *                  通过这个参数调用 'getOnlineRoomUsers' 可以从上一次查询的结尾继续查询
     */
    void onUserListCallback(int errorCode, List<ZegoUserInfo> userList, String nextFlag);
}