package im.zego.live.callback;

/**
 * 获取用户人数回调
 * <p>
 * 描述：当获取用户人数完成之后这个回调会被触发。
 */
public interface ZegoOnlineRoomUsersNumCallback {

    /**
     * @param errorCode 操作状态码。
     *                  <h4>0: 操作成功</h4>
     *                  <h4>600xxxx: ZIM SDK error code. 更多细节参考错误码<a href="https://doc-zh.zego.im/article/11606">文档</a>。 </h4>
     *                  <p>
     * @param count     用户列表人数
     */
    void onUserCountCallback(int errorCode, int count);
}