package im.zego.live.callback;

/**
 * 房间回调方法
 *
 * 描述：当调用的方法是异步处理，如果你在处理异步调用时，当一个方法完成之后以下回调会被触发并回调执行结果
 */
public interface ZegoRoomCallback {

    /**
     * @param errorCode 操作状态码。
     *                  <h4>0: 操作成功。</h4>
     *                  <h4>100xxxx: Express SDK 错误码。 详情参考错误码<a href="https://doc-zh.zego.im/article/4378">文档</a>。</h4>
     *                  <h4>600xxxx: ZIM SDK 错误码，详情参考错误码<a href="https://doc-zh.zego.im/article/11606">文档</a>。</h4>
     */
    void onRoomCallback(int errorCode);
}