package im.zego.live.callback;

import java.util.List;

/**
 * 获取房间列表回调
 * <p>
 * 描述：当获取用户列表完成之后这个回调会被触发
 */
public interface ZegoRoomListCallback {
    /**
     * @param errorCode 操作状态码。
     *                  <h4>0: 操作成功。</h4>
     *                  <h4>600xxxx: ZIM SDK 错误码，详情参考错误码<a href="https://doc-zh.zego.im/article/11606">文档</a>。</h4>
     *
     * @param roomList 房间列表。
     */
    void onRoomListCallback(int errorCode, List<Object> roomList);
}