package im.zego.live.listener;


import im.zego.live.model.ZegoTextMessage;

/**
 * 接收消息的回调接口
 *
 * <p>描述：当收到新的IM消息就会触发
 */
public interface ZegoMessageServiceListener {

    /**
     * 收到IM消息的回调
     * <p>描述：房间里现有用户发送IM消息时，房间里所有用户都会收到一个通知，消息列表将会同步更新</>
     *
     * @param textMessage 收到消息的内容。
     */
    void onReceiveTextMessage(ZegoTextMessage textMessage);
}
