package im.zego.live.model;

import com.google.gson.annotations.SerializedName;

import java.util.Objects;

/**
 * 连麦麦位状态信息
 * <p>
 * 描述：该类包含了连麦的麦位状态信息
 */
public class ZegoCoHostSeatModel {
    @SerializedName("id")
    private String userID;

    // 用户是否给静音标识
    // 一旦参与者被静音，这个参与者只可以保持相机打开和发送文字消息
    @SerializedName("mute")
    private boolean isMuted;

    // 标识麦克风状态
    @SerializedName("mic")
    private boolean mic;

    // 标识相机状态
    @SerializedName("cam")
    private boolean camera;

    // 本地变量
    // 音量值，本地记录属性，用于展示音量水平
    private float soundLevel;
    private float network;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public boolean isMuted() {
        return isMuted;
    }

    public void setMuted(boolean muted) {
        isMuted = muted;
    }

    public boolean isMicEnable() {
        return mic;
    }

    public void setMic(boolean mic) {
        this.mic = mic;
    }

    public boolean isCameraEnable() {
        return camera;
    }

    public void setCamera(boolean camera) {
        this.camera = camera;
    }

    public float getSoundLevel() {
        return soundLevel;
    }

    public void setSoundLevel(float soundLevel) {
        this.soundLevel = soundLevel;
    }

    public float getNetwork() {
        return network;
    }

    public void setNetwork(float network) {
        this.network = network;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ZegoCoHostSeatModel that = (ZegoCoHostSeatModel) o;

        return Objects.equals(userID, that.userID);
    }

    @Override
    public int hashCode() {
        return userID != null ? userID.hashCode() : 0;
    }

    @Override
    public String toString() {
        return "ZegoCoHostSeatModel{" +
                "userID='" + userID + '\'' +
                ", isMuted=" + isMuted +
                ", mic=" + mic +
                ", camera=" + camera +
                ", soundLevel=" + soundLevel +
                ", network=" + network +
                '}';
    }
}