package im.zego.live.model;

import java.util.Objects;

/**
 * 用户信息类
 * <p>
 * 描述：该类包含了用户相关信息
 */
public class ZegoUserInfo {
    // User ID, refers to the user unique ID, can only contains numbers and letters.
    private String userID;
    // User name, cannot be null.
    private String userName;

    // local property
    // user role
    private ZegoRoomUserRole role;
    // Indicates whether the user has taken a co-host seat.
    private boolean hasRequestedCoHost;
    // Indicates whether the user has requested to co-host.
    private boolean hasInvited;

    public String getUserID() {
        return userID;
    }

    public void setUserID(String userID) {
        this.userID = userID;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public ZegoRoomUserRole getRole() {
        return role;
    }

    public void setRole(ZegoRoomUserRole role) {
        this.role = role;
    }

    public boolean isHasRequestedCoHost() {
        return hasRequestedCoHost;
    }

    public void setHasRequestedCoHost(boolean hasRequestedCoHost) {
        this.hasRequestedCoHost = hasRequestedCoHost;
    }

    public boolean isHasInvited() {
        return hasInvited;
    }

    public void setHasInvited(boolean hasInvited) {
        this.hasInvited = hasInvited;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        ZegoUserInfo that = (ZegoUserInfo) o;

        if (!Objects.equals(userID, that.userID)) return false;
        return Objects.equals(userName, that.userName);
    }

    @Override
    public int hashCode() {
        int result = userID != null ? userID.hashCode() : 0;
        result = 31 * result + (userName != null ? userName.hashCode() : 0);
        return result;
    }

    @Override
    public String toString() {
        return "ZegoUserInfo{" +
                "userID='" + userID + '\'' +
                ", userName='" + userName + '\'' +
                ", role=" + role +
                ", hasRequestedCoHost=" + hasRequestedCoHost +
                ", hasInvited=" + hasInvited +
                '}';
    }
}